#!/usr/bin/gnuplot

G = 6.67430e-11  # kg^-1 m^3 s^-2
km = 1.e3  # m

D = 10.*km
rho = 2700.
alpha = 3.25

M = 4./3.*pi*(D/2.)**3*rho
vesc = sqrt(2.*G*M/(D/2.))
dN(v) = v * (v**2 + vesc**2)**(-(alpha+1.)/2.)

print "vesc = ", vesc, " m/s"

########################################################################

set xl "ejection velocity {/Helvetica-Oblique v} [m/s]"
set yl "number of particles {/Helvetica-Oblique N}" offset +1,0

set xr [0:10]
#set yr [0.8:]
set zeroaxis
set samples 1000
set key samplen 1.2 spacing 1.2
set arrow from vesc,graph 0 rto 0,graph 1 nohead lt 0
set style fill transparent solid 0.5
set grid noxtics noytics front

p "v.dat_h" u 1:3 w boxes lc 'orange' lw 1 t "pair",\

pa -1

set term pdfcairo enh color solid
set out "hist_velocity.pdf"
set lmargin 6.5
set rmargin 1.2
set bmargin 3.0
set tmargin 0.3
rep

q

  "../../../hobson19_pair_10_1.6_5_30__LIN/velocity_distribution_500/v.dat_h" u 1:3 w boxes lc 'cyan' t "pair"


