#!/usr/bin/gnuplot

rho0 = 2700.
km = 1.e3
G = 6.67430e-11
R = 1571.
M = 4./3.*pi*R**3*rho0

r(m) = (m/(4./3.*pi*rho0))**(1./3.)
vesc(M, r) = sqrt(2*G*M/r) 

########################################################################

set xl "{/Helvetica-Oblique r} [km]"
set yl "{/Helvetica-Oblique v} [m s^{-1}]"
set cbl "{/Helvetica-Oblique D} [m]" offset -0.5,0

set zeroaxis
set grid noxtics noytics front
set nokey
set samples 1000

set cbr [1e2:1e4]
set logscale cb
set palette rgbformulae 7,5,15 negative

p "<awk '!/^ *#/{ i++; }(i==1){ split($0,l); }{ print $1,$2-l[2],$3-l[3],$4-l[4],$5-l[5],$6-l[6],$7-l[7],$8,$9; }' baryc_outlier.out" u (sqrt($2**2+$3**2+$4**2)/km):(sqrt($5**2+$6**2+$7**2)):(r($9)/km):(r($9)) w circles fs solid lc palette z,\
  vesc(M, x*km),\
  vesc(2.*M, x*km)

pa -1

q



